com.holonplatform.core.query

## Interface QueryFunction.PropertyQueryFunction<T,A>

- Type Parameters:
    `T` - Function result type
    `A` - Function arguments type
  All Superinterfaces:
    ConverterExpression<T>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Property<T>, QueryExpression<T>, QueryFunction<T,A>, QueryProjection<T>, Serializable, TypedExpression<T>, Validator.Validatable<T>
  All Known Subinterfaces:
    QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.Sum<T>, StringFunction, StringFunction.Lower, StringFunction.Upper, TemporalFunction.Day, TemporalFunction.Hour, TemporalFunction.Month, TemporalFunction.Year
  Enclosing interface:
    QueryFunction<T,A>

      public static interface QueryFunction.PropertyQueryFunction<T,A>
      extends QueryFunction<T,A>, Property<T>

  A `QueryFunction` which is also a `Property`, allowing the function to be used within a property set query projection and the function value to be collected in a `PropertyBox`.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFunction

      `QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.NoArgQueryFunction<T>, QueryFunction.PropertyQueryFunction<T,A>, QueryFunction.Sum<T extends Number>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.Builder<T,P extends Property<T>,B extends Property.Builder<T,P,B>>, Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFunction

      `avg, count, currentDate, currentLocalDate, currentLocalDateTime, currentTimestamp, day, getExpressionArguments, hour, lower, max, min, month, sum, upper, year`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, isReadOnly, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

Copyright © 2019 The Holon Platform. All rights reserved.